﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PropertyGrid_Binding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new CustomerViewModel();
        }
    }

    public class CustomerViewModel
    {
        private CustomerView customer;
        public CustomerView Customer
        {
            get { return customer; }
            set { customer = value; }
        }

        public CustomerViewModel()
        {
            Customer = new CustomerView();
            Customer.Country = "India";
            Customer.CustomerID = "101";
            Customer.OrderID = 2773;
            Customer.CustomerName = "Harris";
            Customer.ShipCity = "Mexico";
        }
    }
}
